﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Display Nonlinearity Tests /LPNX
DATE:                  2011-07-22
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       141
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Display Nonlinearity Test /LPNX
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @TestDesc = "+10 dB"
  1.002  TOL          0.100U
  1.003  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.004  MATH         @TestDesc = "+ 8 dB"
  1.005  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.006  MATH         @TestDesc = "+ 6 dB"
  1.007  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.008  MATH         @TestDesc = "+ 4 dB"
  1.009  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.010  MATH         @TestDesc = "+ 2 dB"
  1.011  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.012  MATH         @TestDesc = "- 2 dB"
  1.013  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.014  MATH         @TestDesc = "- 4 dB"
  1.015  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.016  MATH         @TestDesc = "- 6 dB"
  1.017  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.018  MATH         @TestDesc = "- 8 dB"
  1.019  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.020  MATH         @TestDesc = "-10 dB"
  1.021  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.022  MATH         @TestDesc = "-12 dB"
  1.023  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.024  MATH         @TestDesc = "-14 dB"
  1.025  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.026  MATH         @TestDesc = "-16 dB"
  1.027  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.028  MATH         @TestDesc = "-18 dB"
  1.029  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.030  MATH         @TestDesc = "-20 dB"
  1.031  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.032  MATH         @TestDesc = "-22 dB"
  1.033  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.034  MATH         @TestDesc = "-24 dB"
  1.035  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.036  MATH         @TestDesc = "-26 dB"
  1.037  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.038  MATH         @TestDesc = "-28 dB"
  1.039  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.040  MATH         @TestDesc = "-30 dB"
  1.041  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.042  MATH         @TestDesc = "-32 dB"
  1.043  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.044  MATH         @TestDesc = "-34 dB"
  1.045  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.046  MATH         @TestDesc = "-36 dB"
  1.047  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.048  MATH         @TestDesc = "-38 dB"
  1.049  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.050  MATH         @TestDesc = "-40 dB"
  1.051  SCPI         SWE:TIME 1
  1.052  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.053  MATH         @TestDesc = "-45 dB"
  1.054  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.055  MATH         @TestDesc = "-50 dB"
  1.056  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.057  MATH         @TestDesc = "-55 dB"
  1.058  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.059  MATH         @TestDesc = "-60 dB"
  1.060  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.061  MATH         @TestDesc = "-65 dB"
  1.062  TOL          0.500U
  1.063  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.064  MATH         @TestDesc = "-70 dB"
  1.065  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.066  MATH         @TestDesc = "-75 dB"
  1.067  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUNT 10
  1.068  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.069  MATH         @TestDesc = "-80 dB"
  1.070  CALL         Sub FSV Display Nonlinearity Test /LPNX

  1.071  END
