﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV Noise Display Test
DATE:                  2011-07-11
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       63
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Specifications from Spectrum Analyzer R&S® FSP Data Sheet, Version 06.00,
#   May 2008.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Center Frequency: [V @TestFreq]
  1.002  SCPI         FREQ:CENT [V @TestFreq]
  1.003  TSET         TDESC = [V @TestFreq]; UUT_RES = 0.1

  1.004  IF           @Opt_B22
  1.005  CALL         Sub FSV (1 yr) Set DANL Tolerance (FSV-B22)
  1.006  ELSEIF       @Opt_B24
  1.007  CALL         Sub FSV (1 yr) Set DANL Tolerance (FSV-B24)
  1.008  ELSE
  1.009  CALL         Sub FSV (1 yr) Set DANL Tolerance
  1.010  ENDIF

  1.011  TSET         CPT = [V @Nominal]
  1.012  TARGET       -m
  1.013  CALL         Sub FSV Take Sweep (MKPK)
  1.014  SCPI         CALC:MARK:FUNC:SUMM:MEAN:RES?[I]
# Normalize readout to 1 Hz bandwidth.
  1.015  MATH         MEM = MEM - 30
  1.016  ACC    -180  dBm            0.01U                                 +DW
  1.017  MATH         MEM1 = @Nominal
  1.018  MEMCX        dBm            -M1U

  2.001  END
